###---------------------------------------------------------------------
#	  Name: Hidden2Layer.rb
#   Description: Plugins > Purge...
#   Author: TIG (c) 2008
#   Usage:  Put this file into the Plugins Folder.
#			Pick "Hidden to Layer" off Plugins Menu...
#			Any Hidden Active Entities are moved onto Layer HIDN***
#			This means that any Hidden Model-based Geometry is moved,  
#			BUT if you want to do Hidden Entities that are inside of 
#			Groups or Component Definitions then you need to Edit them 
#			so their Entities are then 'Active' and then on running 
#			this tool they will be moved to HIDN...
#   Version: 1.0	20080314	First issue.
###---------------------------------------------------------------------
require 'sketchup.rb'
###---------------------------------------------------------------------
def hidden2layer
  model=Sketchup.active_model
  hidn=model.layers.add("HIDN")### ***change default layer here if desired
  model.active_entities.each{|e|e.layer=hidn if e.hidden?}
end#def
### menu bits
if(not file_loaded?("Hidden2Layer.rb"))
  UI.menu("Plugins").add_item("Hidden to Layer"){hidden2layer}
end
file_loaded("Hidden2Layer.rb")
###